_grk_decompress_params Struct Reference

Decompression parameters. More...

`#include <grok.h>`

## Public Attributes

grk_decompress_core_params | core
| core library parameters
char | infile [GRK_PATH_LEN]
| input file name
char | outfile [GRK_PATH_LEN]
| output file name
GRK_CODEC_FORMAT | decod_format
| input file format
GRK_SUPPORTED_FILE_FMT | cod_format
| output file format
float | dw_x0
| Decompress window left boundary.
float | dw_x1
| Decompress window right boundary.
float | dw_y0
| Decompress window up boundary.
float | dw_y1
| Decompress window bottom boundary.
uint16_t | tileIndex
| tile number of the decompressed tile
bool | singleTileDecompress
grk_precision * | precision
uint32_t | numPrecision
bool | force_rgb
bool | upsample
bool | split_pnm
bool | io_xml
uint32_t | compression
uint32_t | compressionLevel
bool | verbose_
| Verbose mode.
int32_t | deviceId
uint32_t | duration
uint32_t | kernelBuildOptions
uint32_t | repeats
uint32_t | numThreads

## Detailed Description

Decompression parameters.

## Member Data Documentation

## cod_format

GRK_SUPPORTED_FILE_FMT _grk_decompress_params::cod_format

output file format

## compression

uint32_t _grk_decompress_params::compression

## compressionLevel

uint32_t _grk_decompress_params::compressionLevel

## core

grk_decompress_core_params _grk_decompress_params::core

core library parameters

## decod_format

GRK_CODEC_FORMAT _grk_decompress_params::decod_format

input file format

## deviceId

int32_t _grk_decompress_params::deviceId

## duration

uint32_t _grk_decompress_params::duration

## dw_x0

float _grk_decompress_params::dw_x0

Decompress window left boundary.

## dw_x1

float _grk_decompress_params::dw_x1

Decompress window right boundary.

## dw_y0

float _grk_decompress_params::dw_y0

Decompress window up boundary.

## dw_y1

float _grk_decompress_params::dw_y1

Decompress window bottom boundary.

## force_rgb

bool _grk_decompress_params::force_rgb

## infile

char _grk_decompress_params::infile[GRK_PATH_LEN]

input file name

## io_xml

bool _grk_decompress_params::io_xml

## kernelBuildOptions

uint32_t _grk_decompress_params::kernelBuildOptions

## numPrecision

uint32_t _grk_decompress_params::numPrecision

## numThreads

uint32_t _grk_decompress_params::numThreads

## outfile

char _grk_decompress_params::outfile[GRK_PATH_LEN]

output file name

## precision

grk_precision* _grk_decompress_params::precision

## repeats

uint32_t _grk_decompress_params::repeats

## singleTileDecompress

bool _grk_decompress_params::singleTileDecompress

## split_pnm

bool _grk_decompress_params::split_pnm

## tileIndex

uint16_t _grk_decompress_params::tileIndex

tile number of the decompressed tile

## upsample

bool _grk_decompress_params::upsample

## verbose_

bool _grk_decompress_params::verbose_

Verbose mode.

The documentation for this struct was generated from the following file:

- grok.h